package com.chenyang.nse.bussiness.jar.db;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "SERVER_CLIENT_CALL_LOG"
)
public class ServerClientSocketLog extends TBaseEntity {
   String time;
   String client;
   @Column(
      length = 5000
   )
   String log;

   public String getTime() {
      return this.time;
   }

   public String getClient() {
      return this.client;
   }

   public String getLog() {
      return this.log;
   }

   public void setTime(final String time) {
      this.time = time;
   }

   public void setClient(final String client) {
      this.client = client;
   }

   public void setLog(final String log) {
      this.log = log;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ServerClientSocketLog)) {
         return false;
      } else {
         ServerClientSocketLog other = (ServerClientSocketLog)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$time = this.getTime();
            Object other$time = other.getTime();
            if (this$time == null) {
               if (other$time != null) {
                  return false;
               }
            } else if (!this$time.equals(other$time)) {
               return false;
            }

            Object this$client = this.getClient();
            Object other$client = other.getClient();
            if (this$client == null) {
               if (other$client != null) {
                  return false;
               }
            } else if (!this$client.equals(other$client)) {
               return false;
            }

            Object this$log = this.getLog();
            Object other$log = other.getLog();
            if (this$log == null) {
               if (other$log != null) {
                  return false;
               }
            } else if (!this$log.equals(other$log)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof ServerClientSocketLog;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $time = this.getTime();
      result = result * 59 + ($time == null ? 43 : $time.hashCode());
      Object $client = this.getClient();
      result = result * 59 + ($client == null ? 43 : $client.hashCode());
      Object $log = this.getLog();
      result = result * 59 + ($log == null ? 43 : $log.hashCode());
      return result;
   }

   public String toString() {
      return "ServerClientSocketLog(time=" + this.getTime() + ", client=" + this.getClient() + ", log=" + this.getLog() + ")";
   }
}
